git-migration: pld-git.sh - just cat .git/cvs-authors instead of shortloggi...

glen glen at pld-linux.org
Sat Feb 5 15:47:16 CET 2011


Author: glen                         Date: Sat Feb  5 14:47:16 2011 GMT
Module: git-migration                 Tag: HEAD
---- Log message:
- just cat .git/cvs-authors instead of shortlogging to find unresolved authors

---- Files affected:
git-migration:
   pld-git.sh (1.6 -> 1.7) 

---- Diffs:

================================================================
Index: git-migration/pld-git.sh
diff -u git-migration/pld-git.sh:1.6 git-migration/pld-git.sh:1.7
--- git-migration/pld-git.sh:1.6	Sat Feb  5 15:19:35 2011
+++ git-migration/pld-git.sh	Sat Feb  5 15:47:11 2011
@@ -152,15 +152,29 @@
 	cat git-import/.*.shortlog > git.shortlog
 }
 
+git_authors() {
+	set -$d
+	local pkg
+
+	[ ! -s git.authors ] || return
+
+	git_dirs
+	for pkg in $(cat git.dirs); do
+		grep -qF $pkg cvs.blacklist && continue
+
+		cat git-import-old/$pkg/.git/cvs-authors || echo $pkg >> cvs.no-autor
+	done | sort -u > git.authors
+}
+
 # generate list of missing authors from all git modules
 git_missingusers() {
 	set -$d
 	local pkg
 
 	[ -f git.users ] && return
-	git_shortlog
+	git_authors
 
-	sed -rne 's,.+<(.*)>,\1,p' git.shortlog | sort -u | grep -v @ > git.users.unknown
+	sed -rne 's,.+<(.*)>,\1,p' git.authors | grep -v @ > git.users.unknown
 	local user
 	for user in $(cat git.users.unknown); do
 		if ! grep -q "^$user=" cvs.users; then
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/git-migration/pld-git.sh?r1=1.6&r2=1.7&f=u



More information about the pld-cvs-commit mailing list